OGREXMLCONVERTER(1)

NAME
OgreXMLConverter - converts data between XML and Ogre binary formats

SYNOPSIS
OgreXMLConverter [-i] [-e] [-l lodlevels] [-d loddist] [[-p lodpercent][-f lodnumtris]] sourcefile [destfile]

DESCRIPTION
OgreXMLConverter converts data between XML and Ogre binary formats.

OPTIONS
A summary of options is included below.

-i  Interactive mode - prompt for options

-e  DON'T generate edge lists (for stencil shadows)

-r  DON'T reorganise vertex buffers to OGRE recommended format

-t  Generate tangents (for normal mapping)

The following options are only applicable when converting XML to Mesh:

-l lodlevels
    Number of LOD levels

-d loddist
    Distance increment to reduce LOD

-p lodpercent
    Percentage triangle reduction amount per LOD

-f lodnumtris
    Fixed vertex reduction per LOD

sourcefile
    Name of the file to convert

destfile
    Optional name of file to write to. If you don't specify this OGRE works it out through the extension and the XML contents if the source is XML. For example test.mesh becomes test.xml, test.xml becomes test.mesh if the XML document root is <mesh> etc.

AUTHOR
This manual page was written by Moritz Muehlenhoff <jmm@inutil.org> for the Debian GNU/Linux system, but may be used by others.